<bugID>1166774<Summary>Stop using applyingModification in styleinspector tests</Summary><Description>http://mxr.mozilla.org/mozilla-central/search?string=applyingModification
There is quite a bunch of them! And it is very error prone!
From what I've seen many tests are wrong, and either do not wait or are pretenting to wait whereas there is no actual modification being made!

Instead, like many other tests (and even some of these tests), we should be listening for ruleview-changed.

The issue with this transient attribute is:
- it is private,
- deep, in ruleview.rule
- transient and sometimes null, and that's the main error we have!
  Sometimes we do `yield view.rule.applyingModication`, whereas it is null and so, do not wait. In many cases, we fetch applyingModification promise *before* running the code that will actually create it, so we are saving nothing and then yield on undefined/null, so that we don't wait. I've even seen wrong assertions after that. Asserting for wrong values, because we weren't waiting for the actual state modification :s

I think we can get rid of all test usages!
Also, we should add some new wait, in order to correctly wait for test end,
as it broke my toolbox cleanup patch from bug 1161072.</Description></bugID>